LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XPropertiesChangeNotifier Interface Referencepublished

specifies a notifier for changed property values More...

`import"XPropertiesChangeNotifier.idl";`

Inheritance diagram for XPropertiesChangeNotifier:

## Public Member Functions
void | addPropertiesChangeListener ([in] sequence< string > PropertyNames, [in] com::sun::star::beans::XPropertiesChangeListener Listener)
| adds an XPropertiesChangeListener to the specified properties with the specified names. More...
void | removePropertiesChangeListener ([in] sequence< string > PropertyNames, [in] com::sun::star::beans::XPropertiesChangeListener Listener)
| removes an XPropertiesChangeListener from the listener list. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

specifies a notifier for changed property values

See also
  XPropertiesChangeListener

## Member Function Documentation

## ◆ addPropertiesChangeListener()

void addPropertiesChangeListener | ( | [in] sequence< string > | PropertyNames,
|  | [in] com::sun::star::beans::XPropertiesChangeListener | Listener
| ) |  |

adds an XPropertiesChangeListener to the specified properties with the specified names.

## ◆ removePropertiesChangeListener()

void removePropertiesChangeListener | ( | [in] sequence< string > | PropertyNames,
|  | [in] com::sun::star::beans::XPropertiesChangeListener | Listener
| ) |  |

removes an XPropertiesChangeListener from the listener list.

The documentation for this interface was generated from the following file:

- com/sun/star/beans/XPropertiesChangeNotifier.idl